
module.exports = function lendDataStream (controlChannel, lender) {
  // 1. open data channel
  var dataChannel = new SimplePeer({ wrtc: wrtc, initiator: true })
  dataChannel
    .on('signal', function (data) {
      controlChannel.send(JSON.stringify(data))
    })
    .on('connect', function () {
      log('parent data channel connected')
      // 2. lendStream
      var s = toPull.duplex(dataChannel)

      lender.lendStream(function (err, subStream) {
        if (err) throw err

        pull(
          subStream,
          sync(s),
          subStream
        )
      })
    })

  controlChannel.on('data', function (data) {
    dataChannel.signal(data)
  })
}
